[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.TransactionCount

Number of transaction components connected to this database.

## Declaration

Source position: db.pas line 2089

`public property TDatabase.TransactionCount : LongInt read GetTransactionCount;`

## Description

TransactionCount is the number of transaction components which are connected to this database instance. It is the upper bound for the TDatabase.Transactions array property.

## See also

TDatabase.Transactions |  | Indexed access to all transaction components connected to this database.